Remove course from branch
Endpoint URL
DELETE /api/v2/branch-courses
Removes a course from a specific branch. To successfully remove a course from a branch, provide the course's unique ID using the course_id attribute and the branch's unique ID using the branch_id attribute in the request body. If the request is valid and the association exists, the API deletes the branch-course relationship and returns a 204 No Content response upon success.
Request
Responses
- 204
- 400
- 403
- 404
- 409
Course successfully removed from the branch
Invalid or missing request body fields
Insufficient permissions to remove this course from the branch
Branch or course not found
Course is not assigned to this branch, is part of a learning path assigned to the branch, or is linked to a branch skill